#makefile irq1as.make

CC      = m68k-coff-gcc
AS      = m68k-coff-as
LD      = m68k-coff-gcc

base = irq1as

CFLAGS = -S -m5200

AFLAGS = -m5200 -ahls=$(base).lst

LDFLAGS = -m5200 -Wl,-s -Wl,-n -Tsbc5206-srec.ld

all: irq1as.x

irq1as.o: irq1as.s
	$(AS) $(AFLAGS) irq1as.s -o $@
 
irq1as.x: irq1as.o pdelayc.o
	$(LD) pdelayc.o irq1as.o -o irq1as.x $(LDFLAGS)

pdelayc.o: pdelayc.s
	$(AS) $(AFLAGS) pdelayc.s -o $@

pdelayc.s: pdelayc.c
	$(CC) $(CFLAGS)  -o $@ pdelayc.c





